package de.hems.trafficsim;

import java.util.Date;

public class Worker extends Thread {
    protected Track track;
    protected boolean stop;
    public Worker(Track track) {
        super();
        this.track = track;
        this.stop = false;
    }

    void setStop(boolean stop) {
        this.stop = stop;
    }

    @Override
    public void run() {
        long lastStartTime = System.currentTimeMillis();
        while (!stop) {
            long startTime = System.currentTimeMillis();
            this.track.timeElapse((startTime - lastStartTime));
            lastStartTime = startTime;
        }
    }
}
